[RELEASE] Rentadrone.tv
#1
Add-on to play some of news channel @ rentadrone.tv,

Currently it plays
  • MSNBC
  • CNBC
  • CNN
  • CNN International
  • BBC World News
  • HLN

Update:
Created the repository and download it from here
Reply
#2
Nice work dude! Thanks alot! 5 star
Reply
#3
This is a great plugin. It is nice to have MSNBC and CNN live! Thanks for the work. This is repo material!
Reply
#4
This is a great plugin, I use it constantly. Well, "used" is more appropriate as this morning it stopped working for me.

Code:
09:26:19 T:2628 M:4294967295  NOTICE: -->Python Interpreter Initialized<--
09:26:19 T:2628 M:4294967295   ERROR: Error Type: exceptions.IndexError
09:26:19 T:2628 M:4294967295   ERROR: Error Contents: list index out of range
09:26:19 T:2628 M:4294967295   ERROR: Traceback (most recent call last):
                                              File "C:\Users\XXXX\AppData\Roaming\XBMC\addons\plugin.video.rentadrone\default.py", line 123, in ?
                                                STREAMS()
                                              File "C:\Users\XXXX\AppData\Roaming\XBMC\addons\plugin.video.rentadrone\default.py", line 21, in STREAMS
                                                match=re.compile('Home(.+?)About The Live News Rentadrone').findall(match[0])
                                            IndexError: list index out of range
09:26:19 T:2400 M:4294967295   ERROR: XFILE::CDirectory::GetDirectory - Error getting plugin://plugin.video.rentadrone/
09:26:19 T:2400 M:4294967295   ERROR: CGUIMediaWindow::GetDirectory(plugin://plugin.video.rentadrone/) failed
09:26:19 T:148 M:4294967295 WARNING: XFILE::CFactoryDirectory::Create - Unsupported protocol(script) in script://

Anyone have any ideas? My apologies if this is not the correct location for this post.
Reply
#5
Same problem here... script failed message! I love this add on! Here is my log file.

http://pastebin.com/JhY4ZBh1


Thanks for the help!
Reply
#6
http://www.mediafire.com/?32el57utguwtucy

Minor reg-ex and base address fix.
Reply
#7
Thanks for the default.py. Got it working again! Thanks for the quick fix!
Reply
#8
The site layout was updated. I updated the add-on, you can installed thru repository.
Reply
#9
kevlarsoul Wrote:This is a great plugin, I use it constantly. Well, "used" is more appropriate as this morning it stopped working for me.

Code:
09:26:19 T:2628 M:4294967295  NOTICE: -->Python Interpreter Initialized<--
09:26:19 T:2628 M:4294967295   ERROR: Error Type: exceptions.IndexError
09:26:19 T:2628 M:4294967295   ERROR: Error Contents: list index out of range
09:26:19 T:2628 M:4294967295   ERROR: Traceback (most recent call last):
                                              File "C:\Users\XXXX\AppData\Roaming\XBMC\addons\plugin.video.rentadrone\default.py", line 123, in ?
                                                STREAMS()
                                              File "C:\Users\XXXX\AppData\Roaming\XBMC\addons\plugin.video.rentadrone\default.py", line 21, in STREAMS
                                                match=re.compile('Home(.+?)About The Live News Rentadrone').findall(match[0])
                                            IndexError: list index out of range
09:26:19 T:2400 M:4294967295   ERROR: XFILE::CDirectory::GetDirectory - Error getting plugin://plugin.video.rentadrone/
09:26:19 T:2400 M:4294967295   ERROR: CGUIMediaWindow::GetDirectory(plugin://plugin.video.rentadrone/) failed
09:26:19 T:148 M:4294967295 WARNING: XFILE::CFactoryDirectory::Create - Unsupported protocol(script) in script://

Anyone have any ideas? My apologies if this is not the correct location for this post.

Layout was updated, install the repo and it will update the addon.
Reply
#10
bobpeace Wrote:Thanks for the default.py. Got it working again! Thanks for the quick fix!

Install the repo and it will update the addon.
Reply
#11
I'm still getting the same message---script failed message
Reply
#12
instead you should make the add-on self-updating with the instructions from the wiki. New repo zip for a single addon is overkill.

ztas Wrote:Install the repo and it will update the addon.
ATV2 4.3 8F455 Seas0npassed / XBMC 11
Samsung HT-P70 5.1 / Samsung WS-32Z419P
Reply
#13
me123 Wrote:I'm still getting the same message---script failed message

try re-installing and if you still get error. post the error log
Reply
#14
macf1an Wrote:instead you should make the add-on self-updating with the instructions from the wiki. New repo zip for a single addon is overkill.

Sure, i'll try that.
Reply
#15
All working fine for me. (ATV2. Eden2) Thanks for updating Ztas. I use the plugin every day :-)
Reply
 
Thread Rating:
  • 3 Vote(s) - 5 Average



Logout Mark Read Team Forum Stats Members Help
[RELEASE] Rentadrone.tv53